<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>HTML Tables and Forms</title>
  </head>
  <body>
    <h2>HTML Entities</h2>
    <p>
      <em
        >Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix
        up with HTML code)</em
      >
    </p>

    <!-- Defines an HTML table -->
    <table border="1">
      <!-- Used to group table header content -->
      <thead>
        <!-- Defines a table row -->
        <tr>
          <!-- Defines a table header element -->
          <th colspan="2">Entity</th>
          <th>Description</th>
        </tr>
      </thead>

      <!-- Defines and group the table content -->
      <tbody>
        <tr>
          <!-- Defines a table data element -->
          <td>&lt;</td>
          <td>lt</td>
          <td>Less than</td>
        </tr>
        <tr>
          <td>&gt;</td>
          <td>gt</td>
          <td>Greater than</td>
        </tr>
        <tr>
          <td>&#8369;</td>
          <td>#8369</td>
          <td>peso sign</td>
        </tr>
        <tr>
          <td>&quot;</td>
          <td>quot</td>
          <td>double qoutation mark</td>
        </tr>
        <tr>
          <td>&apos;</td>
          <td>apos</td>
          <td>single qoutation mark (apostrophe)</td>
        </tr>
        <tr>
          <td>&ntilde;</td>
          <td>ntilde</td>
          <td>lower tilde</td>
        </tr>
        <tr>
          <td>&Ntilde;</td>
          <td>Ntilde</td>
          <td>upper tilde</td>
        </tr>
      </tbody>
      <!-- Used to group our table footer content -->
      <tfoot>
        <tr>
          <th colspan="3">List of HTML Entities</th>
        </tr>
      </tfoot>
    </table>

    <hr />

    <h2>HTML Forms</h2>
    <p><em>Input elements that make up a form.</em></p>

    <!-- creates html form to capture user input-->
    <form action="https://www.google.com">
      <!-- "type" attribute will define how the button will behave. The value of "submit" is the button tag's default value and is not necessary to be included. Though, it's a good practice to have it added because forms can contain several buttons. -->
      <!-- 

            - <label> tag - creates a text element that will serve as a label for an input field. This creates an inline element.
            - <input> tag - creates a form input element to capture user input. This creates an inline element.
            - The "for" attribute is used with the "id" attribute in an input element. This allows the users to select the input field when they click on the label for a better user experience. Remove this attribute to demonstrate how it works.
            should have. Changing it's value will automatically change the bahavior of the input field.
            - The "name" attribute will provide the input field with a name that we can use to associate with the information provided by the user.
            - The "required" attribute will not allow the form to be submitted without any user input. Leave the input field empty to demonstrate how it works.
            - The "autocomplete" attribute will provide suggestions for text inputs for a better user experience. Try typing on the form and no suggestions will show. Submit the form and go back to the page and try typing again to demonstrate how it works.

        -->

      <label for="full_name">Full Name</label>
      <input
        type="text"
        name="full_name"
        id="full_name"
        required
        autocomplete
      />
      <br />
      <label for="birth_date">Birth Date</label>
      <input
        type="date"
        name="birth_date"
        id="birth_date"
        required
        autocomplete
      />
      <br />

      <label for="age">Age</label>
      <input
        type="number"
        name="age"
        id="age"
        min="0"
        max="99"
        required
        autocomplete
      />
      <br />

      <input type="file" accept="image/*" />

      <select name="gender" id="gender">
        <option value="male" selected>male</option>
        <option value="female" disabled>female</option>
        <option value="rather to say"></option>
      </select>
      <br />

      <label>Notes:</label>
      <textarea name="notes" id="notes" cols="30" rows="10"></textarea>

      <label for="new_User"></label>

      <button type="reset">Reset</button>
      <button type="submit">Submit</button>
    </form>
  </body>
</html>
